classification
Title: IDLE doesn't open
Type: behavior Stage: resolved
Components: IDLE Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE: catch user cfg file error, better error message, continue
View: 21973
Assigned To: terry.reedy Nosy List: Ritornell, bg90299, terry.reedy
Priority: normal Keywords:

Created on 2016-11-16 04:25 by bg90299, last changed 2017-06-29 23:37 by terry.reedy. This issue is now closed.

Messages (4)
msg280910 - (view) Author: Bryan (bg90299) Date: 2016-11-16 04:25
Hello there I am using python 2.7 on windows 10 because my college class requires it, I am having issues when trying to open the IDLE. When i click on it the blue ring loads and then noting happens. I started to have to issue when i was changing the key settings so i can right- click or at least trying to figure out how to do it. If anyone can help it will greatly appreciated.
msg280929 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-11-16 09:20
Run IDLE from Command Prompt with 'python -m idlelib.idle' (or 'py -2 -m idlelib.idle') and you should see an error message.  Post it here.  What do you mean by 'change the key settings'?  What, specifically, did you do?
msg282914 - (view) Author: Oliver Schode (Ritornell) Date: 2016-12-11 10:40
This is a bug you'll run into whenever you set a key binding that is somehow ambiguous to IDLE and for some other reason than being already assigned (for in that case, IDLE will warn, but only then). Like when you set a binding, that would normally be interpreted by the editor for some input modification or so. I think this should be handled more gracefully or at least fail in a more informative way, esp. since beginners on Windows may not be that comfortable on the command line.

A "hard" workaround for the time being is to simply remove your config-keys.cfg file, thus resetting all bindings to their default. On Windows this is usually located in your .idlerc directory in C:\Users\YourName\. You might also edit this file by hand and just remove the offending binding, although that assumes you know which one it is, of course.
msg297327 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-29 23:37
From the information given, this duplicates #21973
History
Date User Action Args
2017-06-29 23:37:01terry.reedysetstatus: open -> closed
superseder: IDLE: catch user cfg file error, better error message, continue
messages: + msg297327

resolution: duplicate
stage: resolved
2016-12-11 10:40:12Ritornellsetnosy: + Ritornell
messages: + msg282914
2016-11-16 09:20:59terry.reedysetmessages: + msg280929
2016-11-16 06:54:53serhiy.storchakasetassignee: terry.reedy

components: + IDLE
nosy: + terry.reedy
2016-11-16 04:25:25bg90299create